package com.hfkj.sysenum.order;

import lombok.Getter;

/**
 * @className: OrderSettleLedgerStatusEnum
 * @author: HuRui
 * @date: 2024/6/14
 **/
@Getter
public enum OrderSettleLedgerStatusEnum {
    /**
     * 待处理
     */
    status0(0, "待处理"),
    /**
     * 已完成
     */
    status1(1, "已完成"),
    /**
     * 处理中
     */
    status2(2, "处理中"),
    /**
     * 已受理
     */
    status3(3, "已受理"),
    /**
     * 失败
     */
    status4(4, "失败"),
    ;

    private final int code;

    private final String name;

    OrderSettleLedgerStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
